/* Override */
:root {
    --blue: #41b6e6;
    --indigo: #6610f2;
    --purple: #6f42c1;
    --pink: #e83e8c;
    --red: #dc3545;
    --orange: #fd7e14;
    --yellow: #ffc107;
    --green: #28a745;
    --teal: #20c997;
    --cyan: #17a2b8;
    --white: #fff;
    --gray: #EEEEEE;
    --gray-dark: #343a40;
    --primary: #040037;
    --secondary: #3b9fd5;
    --success: #5dbf74;
    --info: #2cc8c8;
    --warning: #fac152;
    --danger: #f9777f;
    --light: #e9edf0;
    --dark: #343a40;
    /* Theme colors :*/
    --rz-white: #ffffff;
    --rz-black: #414142;
    --rz-base-50: #ffffff;
    --rz-base-100: #f6f7fa;
    --rz-base-200: #F0F0F0;
    --rz-base-300: #dadfe2;
    --rz-base-400: #a8b4b8;
    --rz-base-500: #7b8a8e;
    --rz-base-600: #63737a;
    --rz-base-700: #45565e;
    --rz-base-800: #38474e;
    --rz-base-900: #28363c;
    --rz-primary: #002840;
    --rz-primary-light: #00446D;
    --rz-primary-lighter: #00588D;
    --rz-primary-dark: #031A27;
    --rz-primary-darker: #020D13;
    --rz-secondary: #1BBC9B; /**/
    --rz-secondary-light: #00446D;
    --rz-secondary-lighter: #00588D;
    --rz-secondary-dark: #17A488;
    --rz-secondary-darker: #138971;
    --rz-info: #01ffe7;
    --rz-info-light: #f3f7fb;
    --rz-info-lighter: rgba(44, 200, 200, 0.2);
    --rz-info-dark: #25a8a8;
    --rz-info-darker: #219696;
    --rz-success: #DFFFFC;
    --rz-success-light: #77c98a;
    --rz-success-lighter: rgba(93, 191, 116, 0.16);
    --rz-success-dark: #4ea061;
    --rz-success-darker: #468f57;
    --rz-warning: #fac152;
    --rz-warning-light: #fbcb6e;
    --rz-warning-lighter: rgba(250, 193, 82, 0.2);
    --rz-warning-dark: #d2a245;
    --rz-warning-darker: #bc913e;
    --rz-danger: #ff5a5e;
    --rz-danger-light: #fa8d93;
    --rz-danger-lighter: rgba(249, 119, 127, 0.2);
    --rz-danger-dark: #d1646b;
    --rz-danger-darker: #bb595f;
    --rz-on-primary: #ffffff;
    --rz-on-primary-light: #ffffff;
    --rz-on-primary-lighter: var(--rz-primary-lighter);
    --rz-on-primary-dark: #ffffff;
    --rz-on-primary-darker: #ffffff;
    --rz-on-secondary: var(--rz-primary);
    --rz-on-secondary-light: #ffffff;
    --rz-on-secondary-lighter: #3b9fd5;
    --rz-on-secondary-dark: #ffffff;
    --rz-on-secondary-darker: #ffffff;
    --rz-on-info: #ffffff;
    --rz-on-info-light: #ffffff;
    --rz-on-info-lighter: var(--rz-primary);
    --rz-on-info-dark: #ffffff;
    --rz-on-info-darker: #00cebb;
    --rz-on-success: #005067;
    --rz-on-success-light: #ffffff;
    --rz-on-success-lighter: #5dbf74;
    --rz-on-success-dark: #ffffff;
    --rz-on-success-darker: #ffffff;
    --rz-on-warning: #ffffff;
    --rz-on-warning-light: #ffffff;
    --rz-on-warning-lighter: #fac152;
    --rz-on-warning-dark: #ffffff;
    --rz-on-warning-darker: #ffffff;
    --rz-on-danger: #ffffff;
    --rz-on-danger-light: #ffffff;
    --rz-on-danger-lighter: #f9777f;
    --rz-on-danger-dark: #dd0319;
    --rz-on-danger-darker: #ffffff;
    --rz-series-1: #376df5;
    --rz-series-2: #64dfdf;
    --rz-series-3: #f68769;
    --rz-series-4: #c161e2;
    --rz-series-5: #fdd07a;
    --rz-series-6: #f8629b;
    --rz-series-7: #74d062;
    --rz-series-8: #84a7ff;
    --rz-series-9: #4d99f9;
    --rz-series-10: #8cecec;
    --rz-series-11: #fab793;
    --rz-series-12: #da88ee;
    --rz-series-13: #fee3ab;
    --rz-series-14: #fb89c3;
    --rz-series-15: #a2e389;
    --rz-series-16: #b5caff;
    --rz-series-17: #1750f3;
    --rz-series-18: #46d7d7;
    --rz-series-19: #f46e4c;
    --rz-series-20: #b343db;
    --rz-series-21: #fdc55f;
    --rz-series-22: #f64485;
    --rz-series-23: #58c544;
    --rz-series-24: #6a93ff;
    /* Side bar : */
    --rz-sidebar-color: #fff !important;
    --rz-progressbar-background-color: var(--rz-secondary-light) !important;
    --rz-header-color: var(--white) !important;
    --rz-header-background-color: var(--rz-base-200) !important;
    --rz-slider-range-background-color: var(--rz-info) !important;
    --rz-slider-handle-hover-background-color: var(--rz-info) !important;
    --rz-dropdown-item-hover-background-color: var(--rz-primary-lighter);
    --rz-dropdown-item-selected-background-color: var(--rz-primary-light);
    --rz-dropdown-item-selected-color: var(--rz-primary);
    --rz-dropdown-item-hover-color: var(--rz-primary);
    --rz-dropdown-item-selected-hover-color: var(--white);
    --rz-switch-checked-background-color: var(--rz-primary-lighter);
    --rz-profile-menu-toggle-button-color: var(--white);
}

.welcome-div {
    position: relative;
    width: fit-content;
    padding: 0;
    border-radius: 0;
    background-color: var(--white);
    border: solid 1px var(--rz-primary);
}

.rz-body {
    background-color: var(--white) !important;
}

.rz-header {
    color: var(--rz-black) !important;
}

.rz-sidebar-toggle {
    color: var(--white) !important;
}

.chat-form {
    border: solid 1px var(--rz-base-300) !important;
    padding: 10px !important;
    background-color: var(--rz-info-light);
    border-radius: 0 !important;
}

.chat-form .chat-form-proposals {
    padding: 0 8px !important;
}

.chat-form .chat-form-proposals .rz-button {
    border-radius: 0;
    color: var(--rz-primary) !important;
    margin-right: 8px;
    margin-bottom: 8px;
}
.chat-form .chat-form-proposals .rz-button:hover
{
    background-color: var(--rz-secondary-lighter) !important;
    color: white !important;
}

.chat-messages {
    border: none !important;
    box-shadow: none !important;
}

.header-quota-label,
.header-quota-progressbar,
.header-how-to-start,
.header-release-note {
    display: none;
}

.logoCompany {
    background-image: url(logo.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    margin-right: 25px;
    width: 120px;
    height: 40px;
}

.loaderAssistant::after,
.loaderAssistant::before {
    border: 2px solid var(--rz-primary);
}

.rz-primary:hover {
    background-color: var(--rz-primary-lighter) !important;
    color: var(--rz-primary) !important;
}

.rz-button.rz-info:hover {
    background-color: var(--rz-on-info-darker) !important;
}

.rz-button.rz-danger:hover {
    background-color: var(--rz-on-danger-dark) !important;
}

.rz-secondary {
    background-color: var(--rz-secondary-light) !important;
    color: white !important;
}

.rz-secondary:hover {
    background-color: var(--rz-secondary-lighter) !important;
    color: white !important;
}

.message_user, .message_assistant {
    border: none !important;
    box-shadow: none !important;
    border-radius: 0 !important;
}

.message_user {
    background-color: var(--rz-base-200) !important;
    color: var(--rz-base-900) !important;
}

.message_assistant {
    background-color: var(--rz-info-light) !important;
    color: var(--rz-base-900) !important;

    .messageDate {
        color: var(--rz-primary) !important;
    }
}

.messageDate {
    font-size: 12px;
}

.multiuser {
    background-image: url('/images/group_outlined_dark.svg');
    background-repeat: no-repeat;
    background-position: right;
    padding-right: 10px;
}


.workspaceDeleteRestoreConfirm {
    background-color: var(--rz-secondary-lighter);
    border-radius: 0;
    color: var(--rz-primary);
    
    .rz-button{
        border: 1px;
        border-radius: 0;
    }
}

.conversationUserCircle {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    background-color: var(--rz-base-background-color);
    color: var(--rz-primary);
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--rz-primary);
}

/* sidebar : */
.rz-sidebar-expanded {
    padding: 12px;
    width: 61px;
    opacity: 1;
}

.rz-sidebar {
    /* border-right: none; */
    background-color: var(--white) !important;
    /*background-image: linear-gradient(-90deg, var(--rz-base-200) 0%, var(--rz-primary-light) 90%);*/
}

.rz-sidebar-toggle {
    background-color: var(--rz-primary) !important;
}

.nav-scrollable {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 74px) !important;
        border: 1px solid #EEEEEE;
    }

.workspaceList {
    overflow-y: auto;
    padding-right: 5px;
}

::-webkit-scrollbar {
    width: 6px !important;
    background: #666666;
    margin-left: 10px !important;
}

.workspaceList::-webkit-scrollbar-thumb {
    border-radius: 1px;
    background: var(--rz-secondary) !important;
    width: 3px !important;
    margin-left: 5px !important;
}

.workspaceList > ul {
    margin-bottom: 16px !important;
}

.workspaceList > ul > li {
    color: var(--rz-primary);
    border: solid 1px transparent;
    border-radius: 0;
    background-color: var(--rz-info-light);
}
.workspaceList > ul > li:hover {
    background-color: var(--rz-info-light);
    color: var(--rz-primary);
    border: solid 1px var(--rz-primary);
}


/* Tabs */
.rz-tabview-nav {
    background-color: #f3f7fb;
}

.rz-tabview-nav li {
    background-color: #f3f7fb;
    border: none;
    color: var(--rz-primary);
}

.rz-tabview-nav li a
{
    color: var(--rz-primary);
}

.rz-tabview-nav li:hover:not(.rz-tabview-selected):not(.rz-state-disabled) {
    background-color: var(--rz-on-secondary-lighter);
    color: white;
}

.rz-tabview-nav li:hover:not(.rz-tabview-selected):not(.rz-state-disabled) span {
    color: white;
}

.rz-tabview-panels {
    border: none;
}

.tab-conversation-content {
    height: calc(100vh - 128px) !important;

    .messages {
        overflow: auto;
        flex: 1;
    }

    .chat-messages {
        height: auto !important;
    }
}

.new-conversation-button {
    border-radius: 0;
}

.text-area-stack {
    padding-top: 0 !important;
    position: relative;
}

.contextMenuDelete,
.contextMenuRename {
    background-color: var(--rz-info-light) !important;
    &:hover {
        background-color: var(--rz-info) !important;
        color: var(--rz-primary) !important;
    }
}

.microsoft-login-button {
    padding: 0;
}

.microsoft-login-button:hover {
    transform: scale(1.04);
    border: none !important;
}

.welcomeMessage {
    user-select: none;
}

.welcomeMessage,
.welcomeMessage > img {
    -webkit-user-drag: none;
}

.welcomeMessageFont {
    color: var(--rz-primary);
}

.split-button > button[aria-label="Button"] {
    flex-grow: 1;
}

.disable-feature {
    display: none;
}

.rounded-button {
    border-radius: 50%;
}

@media only screen and (min-width: 840px) {
    .login-viseo-logo {
        display: initial !important;
    }
}


@media only screen and (max-width: 840px) {
    .welcome-signin-div {
        position: initial !important;
        width: 100% !important;
        height: 250px !important;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        background-color: var(--white);
    }

    .login-viseo-logo {
        display: none;
    }

    .welcome-div {
        width: 100% !important;
    }
}

.sidebar-toggle-button{
    display:none; 
}

.welcome-signin-div {
    position: absolute;
    left: 70%;
    top: 70%;
    width: 635px;
    height: 120%;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    background-color: var(--rz-info-light);
    border: solid 1px var(--rz-primary);
}

.copilots-dropdown > .rz-dropdown-trigger {
    border-left: solid 1px var(--rz-primary);
}

.copilots-dropdown > .rz-dropdown-trigger > .rz-dropdown-trigger-icon {
    margin: 3px !important;
}

.send-button {
    max-width: 75px;
    max-height: 30px;
    border-radius: 50%;
    padding: 5px;
}

.form-field {
    flex: 1;
    min-width: 95%;
    border-radius: 0;
}

.form-field > .rz-form-field-content {
    border-radius: 0;
}

#copilot-list {
    display: grid !important;
    grid-gap: 10px;
    grid-template-columns: repeat(auto-fill, 300px);
    justify-content: space-around !important;
    row-gap: 35px;
}

.copilot-select-button {
    border-radius: 0;
    max-width: fit-content;
    background-color: var(--rz-info-light) !important;
    border: solid 1px var(--rz-primary);
    color: var(--rz-primary) !important;
}

.copilot-card {
    width: 300px;
    background-color: var(--rz-info-light);
    border-radius: 0;
    border: solid 1px transparent;
}

.copilot-card:hover {
    border: solid 1px var(--rz-primary);
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(185, 185, 185, 0.19);
}

.goto-new-conversation {
    border-radius: 0 !important;
    background-color: var(--rz-secondary-light) !important;
    color: var(--rz-primary) !important;
    margin-top: 25px !important;
}

.login-welcome-theme-logo {
    display: initial !important;
    width: 250px;
    /* Visible for theme */
}

.login-welcome-viseo-logo {
    display: none !important;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    /* Hidden by default for themes */
}

.messageiconrole_assistant {
    background-image: url(images/assistant-conversation-logo.png) !important;
}

.assistant-logo-default {
    display: none !important;
    /* Hidden by default for themes */
}


.assistant-logo-theme {
    display: none !important;
    /* Visible for theme */
}


.new-conversation-button-default {
    display: none !important;
    /* Hidden by default for themes */
}

.your-conversations-title {
    display: initial !important;
}

.new-conversation-button-theme {
    display: none;
}

.new-conversation-button-bottom-theme {
    display: initial !important;
}

.private-chat-title {
    display: initial !important;
}

.waving-hand {
    display: initial;
}

.copilot-droplist-item:hover {
    cursor: pointer;
    background-color: var(--rz-base-200);
}

.copilot-droplist-item-description {
    color: var(--rz-base-500);
}

.copilot-droplist-item-title {
    color: var(--rz-base-900);
}

.copilot-dropdown-menu > li {
    color: var(--rz-primary) !important;

    > div > div > i {
        color: var(--rz-primary) !important;
    }
}

.conversationListItemContainer {
    color: var(--rz-primary);
}

.copilot-date-selectbar > .rz-state-active {
    color: var(--rz-primary) !important;
}

li:has(> div.selectedWorkspace) {
    border: solid 1px var(--rz-primary) !important;
}

.sortby-selectbar-container > div > div.rz-button:hover {
    color: var(--rz-secondary-light) !important;
}

.sortby-selectbar-container > div > div.rz-state-active {
    background: none !important;
    color: var(--rz-secondary-light) !important;
}

.sidebar-footer .new-conversation-button-default {
    display: initial !important;
}

.sidebar-footer {
    height: 50px !important;
}

.sidebar-middle {
    margin-bottom: 12px;
}

@media (max-height: 640px) {
    .assistant-logo-theme {
        width: 130px;
    }

    .welcomeMessageFont {
        font-size: 0.9rem !important;
    }

    .waving-hand {
        width: 20px !important
    }
}

@media (max-height: 700px) {
    .assistant-logo-theme {
        width: 160px;
    }

    .welcomeMessageFont {
        font-size: 1rem !important;
    }

    .waving-hand {
        width: 25px !important
    }

    .conversationListItemContainer {
        font-size: 13px;
    }

    .conversationListItemDate {
        font-size: 13px;
    }

    .goto-new-conversation {
        font-size: 12px;
    }

}

@media (max-height: 600px) {
    .assistant-logo-theme {
        width: 120px;
    }

    .welcomeMessageFont {
        font-size: 1rem !important;
    }

    .waving-hand {
        display: none !important
    }

    .your-conversations-title {
        font-size: 19px !important;
    }

    .your-conversation-title {
        font-size: 110px !important;
    }

    .conversationListItemContainer {
        font-size: 13px;
    }

    .conversationListItemDate {
        font-size: 13px;
    }

    .goto-new-conversation {
        font-size: 11px;
    }
}

@media (max-height: 570px) {
    .assistant-logo-theme {
        display: none !important;
    }

    .welcomeMessageFont {
        display: none !important;
    }

    .waving-hand {
        display: none;
    }

    .conversationListItemContainer {
        font-size: 13px;
    }

    .your-conversations-title {
        font-size: 19px !important;
    }
}

